> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dynamic configuration

> Returns the dynamic configuration of a given group.

It provides data to call Get Configuration and Get Localization.



## OpenAPI

````yaml /api/customer-chat/v3.5/openapi.json get /action/get_dynamic_configuration
openapi: 3.1.0
info:
  title: Customer Chat API v3.5
  version: '3.5'
servers:
  - url: https://api.livechatinc.com/v3.5/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/get_dynamic_configuration:
    get:
      tags:
        - Configuration
      summary: Get dynamic configuration
      description: |-
        Returns the dynamic configuration of a given group.

        It provides data to call Get Configuration and Get Localization.
      operationId: get-dynamic-configuration
      parameters:
        - name: license_id
          in: query
          schema:
            type: integer
          description: The license ID.
        - name: group_id
          in: query
          schema:
            type: integer
          description: >-
            The ID of the group that you want to get a dynamic configuration
            for. The ID of the default group is used if not provided.
        - name: url
          in: query
          schema:
            type: string
          description: The URL that you want to get a dynamic configuration for.
        - name: channel_type
          in: query
          schema:
            type: string
          description: The channel type that you want to get a dynamic configuration for.
        - name: test
          in: query
          schema:
            type: boolean
          description: >-
            When set to `true`, treats a dynamic configuration request as a
            test.
      responses:
        '200':
          description: Dynamic configuration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDynamicConfigurationResponse'
              example:
                group_id: 0
                client_limit_exceeded: false
                domain_allowed: true
                online_group_ids:
                  - 0
                config_version: 84cc87cxza5ee24ed0f84fe3027fjf0c71
                localization_version: 79cc87cea5ee24ed0f84fe3027fc0c74
                language: en
      security: []
components:
  schemas:
    GetDynamicConfigurationResponse:
      type: object
      properties:
        group_id:
          type: integer
          description: The ID of the group for which the dynamic configuration is returned.
        organization_id:
          type: string
          description: >-
            The ID of the organization for which the dynamic configuration is
            returned.
        client_limit_exceeded:
          type: boolean
          description: Specifies if the limit of customers having a chat was exceeded.
        domain_allowed:
          type: boolean
          description: >-
            Specifies if `url` is configured as a trusted domain (configurable
            in the Agent Application).
        online_group_ids:
          type: array
          items:
            type: integer
          description: >-
            Group IDs where agents accept chats. Not visible when there is no
            such group.
        config_version:
          type: string
          description: The version to use as `version` when calling Get Configuration.
        localization_version:
          type: string
          description: The version to use as `version` when calling Get Localization.
        language:
          type: string
          description: >-
            The language of the group for which the dynamic configuration is
            returned.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````